Bug 91309 - /etc/modules.conf should be updated while joystick package rpm is installed
/etc/modules.conf should be updated while joystick package rpm is installed
Product: Red Hat Linux
Classification: Retired
Component: modutils (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-05-21 06:19 EDT by Paul Osmialowski
Modified: 2014-03-16 22:36 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4.25-2
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-28 15:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Paul Osmialowski 2003-05-21 06:19:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Joystick can't be used with default configuration!
A small /etc/modules.conf change should be performed during joystick package
alias char-major-13 input
above input joydev
I'm using Logitech WingMan Attack2 USB joystick and that's enough for me, but
for analog joysticks other modules (analog, ns558, gameport and other i.e.
emu10k1-gp for SB-Live! gameports) should also be considered. This suggest need
of more complex joystick configuration program (kjoy for KDE may help?,
unfortunately I couldn't compile it on RH9)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. buy any joystick in local computer store
2. install joystick package from rpm
3. type cat /dev/js0

Additional info:
Comment 1 Ngo Than 2003-05-21 10:03:00 EDT
perhaps kudzu should detect joystick and add the correct parameters in
Comment 2 Bill Nottingham 2003-05-21 11:59:12 EDT
Non-USB joysticks can't be detected, afaik.

What messages do you get when you plug in the joystick without those two lines?
Hotplug should be loading the joystick module for you.... (for USB)
Comment 3 Paul Osmialowski 2003-05-22 03:12:38 EDT
This is the info you'd asked for:
I've removed these two lines from /etc/modules.conf and after restart I can see:
[root@oyster root]# dmesg|grep -i joy
input0: USB HID v1.10 Joystick [Logitech WingMan Attack 2] on usb4:2.0
[root@oyster root]# cat /dev/js0
cat: /dev/js0: Device not found
After I've removed joystick plug from USB connector and connected it again I've got:
[root@oyster root]# dmesg |grep -i joy
input0: USB HID v1.10 Joystick [Logitech WingMan Attack 2] on usb4:2.0
input0: USB HID v1.10 Joystick [Logitech WingMan Attack 2] on usb4:3.0
[root@oyster root]# cat /dev/js0
cat: /dev/js0: Device not found

I'm using USB 2.0 EHCI controller:
[root@oyster root]# dmesg |grep -i ehci
ehci-hcd 00:1d.7: Intel Corp. 82801DB USB EHCI Controller
ehci-hcd 00:1d.7: irq 3, pci mem e0890c00
ehci-hcd 00:1d.7: enabled 64bit PCI DMA
ehci-hcd 00:1d.7: USB 2.0 enabled, EHCI 1.00, driver 2003-Jan-22
Comment 4 Bill Nottingham 2003-05-22 11:47:33 EDT
Pete: is hotplugging joysticks supposed to load the joydev input driver? Does it
need usb ids added to it?
Comment 5 Pete Zaitcev 2003-05-22 14:04:12 EDT
Paul forgets that the input layer is layered itself. The "input" driver
registers itself with the character device layer and is autoloaded
whenever anything with major 13 is open. The "alias char-major-13 input"
is not needed, because it's built into modprobe. Run "modprobe -c | grep input"
to see it. Instead, he wants "alias char-major-13-0 joydev", which is
autoloaded by [already autoloaded] input driver with the fix attached
to the bug 35215.

The /sbin/hotplug calls usb.agent, which loads hid. This has nothing
to do with the joydev, so don't pull this into the discussion.

So, `echo "alias char-major-13-0 joydev" >> /etc/modules.conf` covers
the USB side of things.

I suggest to forget the analog stuff. It never worked reliably,
we had some bugs filed before, and I discussed it with the upstream.
It simply cannot be supported. If someone wants to play with that,
they should configure the system manually and cross their fingers.
Of course, we pre-build all necessary components, so they don't need
to compile kernels or anything. But if it fails to work, tough luck.
Comment 6 Bill Nottingham 2003-05-22 14:09:14 EDT
OK, assigning to modutils so we can make this alias default.
Comment 7 Bill Nottingham 2003-05-28 15:41:04 EDT
Will be in 2.4.25-2.

Note You need to log in before you can comment on or make changes to this bug.